{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    penn-nix.url = "github:clay53/penn-nix";
    cnvim = {
      url = "github:clay53/cnvim";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    mapnix = {
      url = "github:clay53/mapnix";
    };
    osm-bikeability = {
      url = "github:clay53/osm-bikeability";
      flake = false;
    };
    languini = {
      url = "git+ssh://forgejo@10.100.0.1/TutorEngine/leptos_client.git";
    };
    nix-minecraft.url = "github:Infinidoge/nix-minecraft";
  };
  outputs = { self, nixpkgs, ... }@inputs: {
    nixosConfigurations.clhickey-nixos = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        ./clhickey-nixos/configuration.nix
      ];
    };
    nixosConfigurations.nixnas = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        ./nixnas/nixnas.nix
        inputs.languini.nixosModules.default
      ];
    };
    nixosConfigurations.loadedskypotato = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        ./loadedskypotato/configuration.nix
      ];
    };
  };
}

